Debian Bug report logs - #427406
metacity: No more mouse/keyboard-input possible after closing crashed application

version graph

Package: metacity; Maintainer for metacity is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for metacity is src:metacity.

Reported by: Claudius 'x2017' Hubig <x2017_2007@nurfuerspam.de>

Date: Sun, 3 Jun 2007 18:27:01 UTC

Severity: important

Tags: fixed-upstream

Found in version metacity/1:2.18.3-1

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=476279

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius 'x2017' Hubig <x2017_2007@nurfuerspam.de>:
New Bug report received and forwarded. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Claudius 'x2017' Hubig <x2017_2007@nurfuerspam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Sun, 03 Jun 2007 20:24:28 +0200
Package: metacity
Version: 1:2.18.3-1
Severity: grave
Justification: renders package unusable

Hi,

whenever a crashed application is closed by hitting the "x" button in the titlebar,
Metacity used to showing a window "The application doesn't answer [Close] [Wait]" or
something like this. Now, it causes the system to become unusable by grabbing every
keyboard-input or mouse-clicks. That means:
* The system is still running: xmms continues playing, the hardware-monitor
   refreshes normally.
* I can move the mouse
* No mouse clicks or keystrokes are recognized: Neither Alt+Strg+Backspace nor
   Alt+Strg+F1

I dunno how this can happen, but it happens regulary and reproducible while my system
passes 18h memtest86+-testing.

To reproduce it, do the following:
* Crash an application to make it not answering; I use claws-mail and remove the
   network-connection while it is fetching mails, but it's the same with other apps.
* Click the "x" in the titlebar to close the window
* Wait a few seconds.
* Try to click something or to press a key - nothing happens.

Of course, save all the data before trying this, I'm not responsible for any kind
of data loss.

I'm currently using the nvidia-driver from nvidia.com, but the free nv-driver shows
this bug, too.

Greetings,

Claudius

PS: If more information is needed, you can contact me directly via Jabber
(x2017@jabber.ccc.de) or ICQ (224-491-597).

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages metacity depends on:
ii  libatk1.0-0                   1.18.0-2   The ATK accessibility toolkit
ii  libc6                         2.5-9+b1   GNU C Library: Shared libraries
ii  libcairo2                     1.4.6-1.1  The Cairo 2D vector graphics libra
ii  libgconf2-4                   2.18.0.1-3 GNOME configuration database syste
ii  libglib2.0-0                  2.12.12-1  The GLib library of C routines
ii  libgtk2.0-0                   2.10.12-2  The GTK+ graphical user interface 
ii  libice6                       1:1.0.3-2  X11 Inter-Client Exchange library
ii  libmetacity0                  1:2.18.3-1 library of lightweight GTK2 based 
ii  libpango1.0-0                 1.16.4-1   Layout and rendering of internatio
ii  libsm6                        2:1.0.3-1  X11 Session Management library
ii  libstartup-notification0      0.9-1      library for program launch feedbac
ii  libx11-6                      2:1.0.3-7  X11 client-side library
ii  libxcursor1                   1:1.1.8-2  X cursor management library
ii  libxext6                      1:1.0.3-2  X11 miscellaneous extension librar
ii  libxinerama1                  1:1.0.2-1  X11 Xinerama extension library
ii  libxrandr2                    2:1.2.1-1  X11 RandR extension library
ii  libxrender1                   1:0.9.2-1  X Rendering Extension client libra
ii  metacity-common               1:2.18.3-1 Shared files of lightweight GTK2 b

metacity recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to 427406@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #10 received at 427406@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Claudius 'x2017' Hubig <x2017_2007@nurfuerspam.de>, 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Sun, 03 Jun 2007 21:02:03 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 03 juin 2007 à 20:24 +0200, Claudius 'x2017' Hubig a écrit :
> To reproduce it, do the following:
> * Crash an application to make it not answering; I use claws-mail and remove the
>    network-connection while it is fetching mails, but it's the same with other apps.
> * Click the "x" in the titlebar to close the window
> * Wait a few seconds.
> * Try to click something or to press a key - nothing happens.

I'm afraid I can't reproduce that. The "kill application" dialog appears
and works as expected.
Do you have examples of other applications leading to this behavior?
This could be caused by the application grabbing the X server, making it
impossible for metacity to display that window.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #15 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Mon, 4 Jun 2007 21:09:57 +0200
Josselin Mouette <joss@debian.org> wrote:
>Le dimanche 03 juin 2007 à 20:24 +0200, Claudius 'x2017' Hubig a écrit :  
>> To reproduce it, do the following:
>> * Crash an application to make it not answering; I use claws-mail and remove the
>>    network-connection while it is fetching mails, but it's the same with other apps.
>> * Click the "x" in the titlebar to close the window
>> * Wait a few seconds.
>> * Try to click something or to press a key - nothing happens.  
>
>I'm afraid I can't reproduce that. The "kill application" dialog appears
>and works as expected.
>Do you have examples of other applications leading to this behavior?
>This could be caused by the application grabbing the X server, making it
>impossible for metacity to display that window.  

Oh, sorry, I knew I forgot something. This happened with totem (tried
to play a file and crashed) and Opera (crashed due to the
acrobat-reader-plugin, I think). I tested it with Sylpheed-Claws and
other window managers like icewm and Enlightenment - they didn't
crash.

Additionally, "killall -9 metacity" resolves the problem when you
connect remotely using SSH.

Greetings,

Claudius

PS: I send several mails to 427406@bugs.debian.org, but they don't
seem to have reached the BTS and thus don't show up on the web site.
Dunno why. :(
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Marco Bravi <m.bravi@ingchim.ing.uniroma1.it>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #20 received at 427406@bugs.debian.org (full text, mbox):

From: Marco Bravi <m.bravi@ingchim.ing.uniroma1.it>
To: 427406@bugs.debian.org
Subject: metacity: No more mouse/keyboard-input possible after (...): watch out for metacity-dialog!
Date: Wed, 06 Jun 2007 09:23:11 +0200
Dear all,

I noticed this behaviour on my system about two months ago (metacity
1.18.0 at the time) and could not chase it away.

I noticed that when this happens (go to console mode if you can, or ssh
into) there is a dangling metacity-dialog process. Kill it and you're
done.

Not sure why this happens, tho

Regards from

Marco




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to 427406@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #25 received at 427406@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Marco Bravi <m.bravi@ingchim.ing.uniroma1.it>, 427406@bugs.debian.org
Cc: Claudius Hubig <claudiushubig@arcor.de>
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible after (...): watch out for metacity-dialog!
Date: Wed, 06 Jun 2007 21:47:10 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 06 juin 2007 à 09:23 +0200, Marco Bravi a écrit :
> Dear all,
> 
> I noticed this behaviour on my system about two months ago (metacity
> 1.18.0 at the time) and could not chase it away.
> 
> I noticed that when this happens (go to console mode if you can, or ssh
> into) there is a dangling metacity-dialog process. Kill it and you're
> done.

Thanks for your input. Unfortunately I'm still not able to reproduce the
bug.

It would be very nice if either of you could install libgtk2.0-0-dbg,
rebuild the package with debugging symbols and obtain, when the lockup
occurs, a backtrace of both metacity and metacity-dialog, as explained
in the wiki: http://wiki.debian.org/HowToGetABacktrace

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #30 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible after (...): watch out for metacity-dialog!
Date: Thu, 7 Jun 2007 09:40:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

Josselin Mouette <joss@debian.org> wrote:
>Thanks for your input. Unfortunately I'm still not able to reproduce the
>bug.
>
>It would be very nice if either of you could install libgtk2.0-0-dbg,
>rebuild the package with debugging symbols and obtain, when the lockup
>occurs, a backtrace of both metacity and metacity-dialog, as explained
>in the wiki: http://wiki.debian.org/HowToGetABacktrace

I now followed the article to get packages with debugging symbols and
then did the following on a virtual terminal:

$ export DISPLAY=":0.0"
(gdb) gdb metacity
(gdb) set pagination 0
(gdb) set logging on
(gdb) run --replace

[Switch to X, telling Claws-Mail to get mail/news]

# ifdown eth0

[Switch to X, clicking on the "x" button & fast switch to VT, then waiting a bit]

$ ps -A | grep metacity-dialog

=> metacity-dialog is active

(gdb) CTRL+C
(gdb) bt
(gdb) bt full
(gdb) quit

# /etc/init.d/gdm restart

The file gdb.txt created by gdb is attached.

I hope I did everything as expected,

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[gdb.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to 427406@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #35 received at 427406@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Claudius Hubig <claudiushubig@arcor.de>, 427406@bugs.debian.org
Subject: Re: Metacity-dialog / BTS: #427406
Date: Tue, 03 Jul 2007 23:32:33 +0200
[Message part 1 (text/plain, inline)]
Le mardi 03 juillet 2007 à 18:50 +0200, Claudius Hubig a écrit :
> Dear Joss,
> 
> I recently received a mail from Marco Bravi asking for a patch or
> something to avoid bug #427406.
> 
> I was only able to reply with a workaround, closing applications only
> by using File->Close/Quit (Ctrl+q, mostly) and - if this is not
> possible - killing them on the console. But of course it would be
> nice if this bug got fixed - do you know anything about it?

I'm afraid I still have no idea on how to reproduce this bug, despite
using metacity a lot. Furthermore, the backtrace you sent us isn't
really usable. There is a possibility that retrying with libglib2.0-dbg
installed gives better results. As it looks like some IO deadlock
between the two processes, we also need the same trace from
metacity-dialog at the same time; you can attach to its PID with "gdb
--pid=12345".

If you can describe precisely a way to reproduce this, e.g. with totem,
that would also be very nice.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #40 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: New backtraces
Date: Sat, 7 Jul 2007 20:40:48 +0200
[Message part 1 (text/plain, inline)]
Hi,

I did as you told me and have now two new backtraces saved in the
files created by gdb's logging capacity. I hope they're better, but
I'm only a user, not a programmer and have not a single idea what
they mean - sorry.

You asked for a way to reproduce it: Well, I wrote it
in my first mail: click on the "x" in the titlebar of a
non-responding application. This happens rarely with totem, e. g.
when playing corrupted files and jumping point not existing in the
file, with Opera, when some plugin doesn't work or - reproducable -
with Claws-Mail. - It happens every time I close such an application
on my current system.

OTOH, I installed a "fresh" Debian Lenny in a virtual machine which
doesn't show this behaviour. But again, I have no idea how to
"compare" those two installations.

Greetings,

Claudius

-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[backtrace_metacity.txt (text/plain, attachment)]
[backtrace_metacity-dialog.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to manphiz <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #45 received at 427406@bugs.debian.org (full text, mbox):

From: manphiz <manphiz@gmail.com>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible, after closing crashed application
Date: Thu, 19 Jul 2007 15:50:24 +0800
According to the partial backtrace provided by Claudius Hubig, in which 
the backtrace got lost when encountered libc6-i686 stuff, I've got a 
Deja Vu with a recent bug reported toward aptitude(#431054) reporting 
keyboard handling lost when lib6-i686 was installed under kernel 2.6.18, 
and the symptom mysteriously got away when testing kernel had been 
updated to 2.6.21. I hope the same situation applies here too.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #50 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Still doesn't work.
Date: Sun, 22 Jul 2007 11:42:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

I now tested it with Kernel 2.6.21, but hat the same result as
before: Keyboard and mouse input is blocked, killing Metacity helps.
Then, I removed libc6-i686, but that didn't solve the problem neither.

Additionally, the problem with aptitude doesn't occur here, it works
just fine.

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to manphiz <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #55 received at 427406@bugs.debian.org (full text, mbox):

From: manphiz <manphiz@gmail.com>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible, after closing crashed application
Date: Sun, 22 Jul 2007 22:16:50 +0800
Thanks to curiosity, I updated my metacity from 1:2.14.5-4(testing) to 
current unstable 1:2.18.5-1, and when encountering "Force Quit" 
situation, everything works fine at my place: no lockup, no 
non-responding, everything is fine.

Maybe you were still staying at 2.18.3? Try the newer version. Or maybe 
something else is culpable on your particular system?



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #60 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Sun, 22 Jul 2007 20:39:02 +0200
[Message part 1 (text/plain, inline)]
Hi,

manphiz <manphiz@gmail.com> wrote:
>Thanks to curiosity, I updated my metacity from 1:2.14.5-4(testing)
>to current unstable 1:2.18.5-1, and when encountering "Force Quit" 
>situation, everything works fine at my place: no lockup, no 
>non-responding, everything is fine.

Well, this bug doesn't happen on every system. As Joss already wrote,
he hasn't got the problem, as I installed a fresh system in a virtual
machine, it doesn't happen, too.

>Maybe you were still staying at 2.18.3?

claudius@zeus:~$ metacity --version
metacity 2.14.5

>Try the newer version.

I somehow resist the possibility of making my system unstable again,
since everything else works fine with Testing and upgrading to 2.18.3
didn't help. Additionally, I noticed no hint showing that this
problem was solved with never versions.

>Or maybe something else is culpable on your particular system?

Probably, only question: what?

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to manphiz <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #65 received at 427406@bugs.debian.org (full text, mbox):

From: manphiz <manphiz@gmail.com>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible, after closing crashed application
Date: Mon, 23 Jul 2007 15:25:18 +0800
>I somehow resist the possibility of making my system unstable again,
>since everything else works fine with Testing and upgrading to 2.18.3
>didn't help. Additionally, I noticed no hint showing that this
>problem was solved with never versions.

Some search work at http://bugzilla.gnome.org shows no similar report, 
and as it is unreproducible anywhere, there's no reason for the upstream 
or Debian maintainer to address such bug, which doesn't prevent the 
possibility for the bug's silent disappearance either. Moreover, there's 
no difficulty to downgrade back to 2.14.5 if something still goes wrong. 
Finally, as the only one encountering this bug, only you can tell 
whether 2.18.5 is ok. So why not give it a shot? :)

P.S.: No offense, but I really doubt such a problem is necessary to be 
set as grave severity.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #70 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Problem still exists
Date: Tue, 24 Jul 2007 13:33:35 +0200
[Message part 1 (text/plain, inline)]
Hi,

manphiz <manphiz@gmail.com> wrote:
>Some search work at http://bugzilla.gnome.org shows no similar
>report, and as it is unreproducible anywhere, there's no reason for
>the upstream or Debian maintainer to address such bug, which doesn't
>prevent the possibility for the bug's silent disappearance either.

OK, that's a reason, although at least Marco Bravi has this problem,
too.

>Moreover, there's no difficulty to downgrade back to 2.14.5 if
>something still goes wrong. Finally, as the only one encountering
>this bug, only you can tell whether 2.18.5 is ok. So why not give it
>a shot? :)

Another "OK", I tested the current version from unstable, 2.18.5-1.
Unfortunately, the problem still exists.

>P.S.: No offense, but I really doubt such a problem is necessary to
>be set as grave severity.

Well, of course you're right when the severity depends on the amount
of systems affected. But *if* your system is affected, it *is* a
grave problem, since it's just impossible to save data, close
applications etc. when this bug occurs, but you need to restart the
whole system. (Although, in the first few seconds after clicking
"close", you can still switch to a VT and kill metacity and
metacity-dialog).

Greetings,

Claudius

-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Robert Freund" <spinningteacup@ftml.net>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #75 received at 427406@bugs.debian.org (full text, mbox):

From: "Robert Freund" <spinningteacup@ftml.net>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Sat, 28 Jul 2007 13:14:06 +0200
Hi,

Claudius 'x2017' Hubig wrote:
> it happens regulary and reproducible while my system
> passes 18h memtest86+-testing

How exactly is the 18h memory test related to this? How can you run
metacity while running memtest86+? Memtest86+ is some kind of boot image
which has to be run at boot time, isn't it? 

Or maybe you are running memtester? In that case, does the bug *only*
occur after having run memtester for 18h or more? This would explain why
nobody could reproduce the bug.

Regards,
Robert
--
Please use email encryption.
http://rffr.de/why-encryption




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #80 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Re: metacity: No more mouse/keyboard-input possible after closing crashed application
Date: Sat, 28 Jul 2007 14:17:39 +0200
[Message part 1 (text/plain, inline)]
Morning,

"Robert Freund" <spinningteacup@ftml.net> wrote:
>Claudius 'x2017' Hubig wrote:
>> it happens regulary and reproducible while my system
>> passes 18h memtest86+-testing
>
>How exactly is the 18h memory test related to this? How can you run
>metacity while running memtest86+? Memtest86+ is some kind of boot
>image which has to be run at boot time, isn't it? 
>
>Or maybe you are running memtester? In that case, does the bug *only*
>occur after having run memtester for 18h or more? This would explain
>why nobody could reproduce the bug.

You probably misunderstood me. I wanted to say that this happens
regulary but the system is still able to run memtest86+ without
producing any errors for more than 18 hours, what might be a sign
that there's no problem with the RAM or whatever. Of course,
memtest86+ is not run at the same time as Metacity is run, but on the
same system.

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #85 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Happens with a completely new user, too
Date: Wed, 1 Aug 2007 22:59:31 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just tested this problem with a completely new user and the error
still occurs. In the meanwhile, I changed the
script /etc/acpi/powerbtn.sh to killall metacity and metacity-dialog
processes. Thus, I can just press the power-button to solve the
problem, although this is - of course - not a real solution.

Greetings,

Claudius

-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #90 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Claudius Hubig <claudiushubig@arcor.de>, 427406@bugs.debian.org
Subject: Re: Bug#427406: Happens with a completely new user, too
Date: Tue, 21 Aug 2007 19:30:09 +0200
[Message part 1 (text/plain, inline)]
On Wed, 2007-08-01 at 22:59 +0200, Claudius Hubig wrote:
> I just tested this problem with a completely new user and the error
> still occurs. In the meanwhile, I changed the
> script /etc/acpi/powerbtn.sh to killall metacity and metacity-dialog
> processes. Thus, I can just press the power-button to solve the
> problem, although this is - of course - not a real solution.

Hi,

You could try running metacity in verbose mode and see if you catch
anything interesting;

        METACITY_VERBOSE=1 METACITY_USE_LOGFILE=1 metacity --replace

The log file can be quite big, so be sure to compress it before sending
it to the BTS.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #95 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: Sven Arvidsson <sa@whiz.se>, 427406@bugs.debian.org
Subject: Re: Bug#427406: Happens with a completely new user, too
Date: Tue, 21 Aug 2007 21:09:32 +0200
[Message part 1 (text/plain, inline)]
Hi,

Sven Arvidsson <sa@whiz.se> wrote:
>        METACITY_VERBOSE=1 METACITY_USE_LOGFILE=1 metacity --replace

OK, I entered the line above and the appended logfile was created.
Then, I crashed Claws-Mail, clicked on the "x" in the title bar,
waited a few seconds, switched to a VT and killed metacity and
metacity-dialog.

I hope there's some usable information in the logfile,

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[metacity-19886-debug-log-RG09WT.tar.bz2 (application/x-bzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #100 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Claudius Hubig <claudiushubig@arcor.de>
Cc: 427406@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#427406: Happens with a completely new user, too
Date: Wed, 22 Aug 2007 01:56:51 +0200
[Message part 1 (text/plain, inline)]
On Tue, 2007-08-21 at 21:09 +0200, Claudius Hubig wrote:
> Sven Arvidsson <sa@whiz.se> wrote:
> >        METACITY_VERBOSE=1 METACITY_USE_LOGFILE=1 metacity --replace
> 
> OK, I entered the line above and the appended logfile was created.
> Then, I crashed Claws-Mail, clicked on the "x" in the title bar,
> waited a few seconds, switched to a VT and killed metacity and
> metacity-dialog.
> 
> I hope there's some usable information in the logfile,

There's at least some lines in that log that I don't get in mine when I
invoke metacity-dialog.

I'm thinking specifically of the lines starting at line 30024;
"bad image index".

The messages in german is originally;
Could not parse \"%s\" as an integer
Did not understand trailing characters \"%s\" in string \"%s\

I'm cc'ing Josselin, as I should have done in the first place.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #105 received at 427406@bugs.debian.org (full text, mbox):

From: "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>
To: 427406@bugs.debian.org
Cc: "Claudius Hubig" <claudiushubig@arcor.de>, "Sven Arvidsson" <sa@whiz.se>, "Josselin Mouette" <joss@debian.org>
Subject: Re: Bug#427406: Happens with a completely new user, too
Date: Tue, 28 Aug 2007 12:19:05 +0200
On Wed, 22 Aug 2007 01:56:51 +0200, Sven Arvidsson wrote:
> On Tue, 2007-08-21 at 21:09 +0200, Claudius Hubig wrote:
> > Sven Arvidsson <sa@whiz.se> wrote:
> > >        METACITY_VERBOSE=1 METACITY_USE_LOGFILE=1 metacity --replace
> >
> > OK, I entered the line above and the appended logfile was created.
> > Then, I crashed Claws-Mail, clicked on the "x" in the title bar,
> > waited a few seconds, switched to a VT and killed metacity and
> > metacity-dialog.
> >
> > I hope there's some usable information in the logfile,
>
> There's at least some lines in that log that I don't get in mine when I
> invoke metacity-dialog.
>
> I'm thinking specifically of the lines starting at line 30024;
> "bad image index".
>
> The messages in german is originally;
> Could not parse \"%s\" as an integer
> Did not understand trailing characters \"%s\" in string \"%s\
>
> I'm cc'ing Josselin, as I should have done in the first place.

I encounter the same problem (for few weeks now).
I also have something wrong with the "icon cache":
(XXX): Gtk-WARNING **: Icon cache
'/usr/share/pixmaps/hicolor/icon-theme.cache' is invalid
bad image index

Any help is welcome.
-- 
Guilhem BONNEFILLE
-=- #UIN: 15146515 JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to bytewise@gmx.net:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #110 received at 427406@bugs.debian.org (full text, mbox):

From: bytewise@gmx.net
To: 427406@bugs.debian.org
Cc: guilhem.bonnefille@gmail.com
Date: Wed, 29 Aug 2007 23:26:32 +0200
Maybe try

rm /usr/share/pixmaps/hicolor/icon-theme.cache
gtk-update-icon-cache -f /usr/share/pixmaps/hicolor/

But make a backup of the file before you do this.

Regards,
Robert



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #115 received at 427406@bugs.debian.org (full text, mbox):

From: "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>
To: bytewise@gmx.net, 427406@bugs.debian.org
Subject: Re: Bug#427406: (no subject)
Date: Thu, 30 Aug 2007 12:05:01 +0200
On 8/29/07, bytewise@gmx.net <bytewise@gmx.net> wrote:
> Maybe try
>
> rm /usr/share/pixmaps/hicolor/icon-theme.cache
> gtk-update-icon-cache -f /usr/share/pixmaps/hicolor/

Thanks for the idea.

Looking around it I finnally found that this directory is a really old
one. hicolor is now on /usr/share/icons/hicolor/. I suppressed it and
anything went fine.

Probably an eroneous upgrade procedure of hicolor-icon-theme package
when directory changed.
-- 
Guilhem BONNEFILLE
-=- #UIN: 15146515 JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #120 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: 427406@bugs.debian.org
Subject: Removing /usr/share/pixmaps/hicolor/ solves the problem
Date: Thu, 30 Aug 2007 12:20:10 +0200
[Message part 1 (text/plain, inline)]
Hi,

following your hints, I just completely removed
/usr/share/pixmaps/hicolor/ - the window that the
application doesn't responds appears now in a
correct way and I'm able to just click "abort"
or "kill".

Just one question, how can a broken image index "crash" Metacity or
at least making it nearly impossible to work with the system?

Anyway, thanks for the great work,

Greetings,

Claudius

-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #125 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Claudius Hubig <claudiushubig@arcor.de>, 427406@bugs.debian.org
Subject: Re: Bug#427406: Removing /usr/share/pixmaps/hicolor/ solves the problem
Date: Thu, 30 Aug 2007 21:46:46 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2007-08-30 at 12:20 +0200, Claudius Hubig wrote:
> following your hints, I just completely removed
> /usr/share/pixmaps/hicolor/ - the window that the
> application doesn't responds appears now in a
> correct way and I'm able to just click "abort"
> or "kill".

You didn't happen to save those files? If you didn't, do you know what
icons were in there?

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Claudius Hubig <claudiushubig@arcor.de>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #130 received at 427406@bugs.debian.org (full text, mbox):

From: Claudius Hubig <claudiushubig@arcor.de>
To: Sven Arvidsson <sa@whiz.se>, 427406@bugs.debian.org
Subject: Re: Bug#427406: Removing /usr/share/pixmaps/hicolor/ solves the problem
Date: Thu, 30 Aug 2007 22:50:53 +0200
[Message part 1 (text/plain, inline)]
Sven Arvidsson <sa@whiz.se> wrote:
>On Thu, 2007-08-30 at 12:20 +0200, Claudius Hubig wrote:
>> following your hints, I just completely removed
>> /usr/share/pixmaps/hicolor/ - the window that the
>> application doesn't responds appears now in a
>> correct way and I'm able to just click "abort"
>> or "kill".
>
>You didn't happen to save those files? If you didn't, do you know what
>icons were in there?

Not really - I checked wether or not any installed .deb had files in
there (which was not the case) and had a look
in /usr/share/pixmaps/hicolor/ what contained the following:

16x16/
48x48/
icon-theme.cache
32x32/
autopackage-installer.png
scalable/

I'm sorry I didn't saved the files in there, but since they didn't
belong to any installed package and I don't have non-debian-packages
installed on my system anymore, I thought they were just crap still
existing due to experiments in former days/whatever.

Greetings,

Claudius
-- 
Mail:    x2017_2007@nurfuerspam.de ICQ:               224491597  ,= ,-_-. =. 
Jabber:        x2017@jabber.ccc.de SIP:         x2017@ekiga.net ((_/)o o(\_))
MSN:    claudiushubig@passport.com Nightfall.org:23    Claudius  `-'(. .)`-'
Yahoo:      claudiushubig@yahoo.de Using: [Opera|Gaim|*]@Debian      \_/  GNU
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #135 received at 427406@bugs.debian.org (full text, mbox):

From: "Guilhem Bonnefille" <guilhem.bonnefille@gmail.com>
To: "Claudius Hubig" <claudiushubig@arcor.de>, 427406@bugs.debian.org
Cc: "Sven Arvidsson" <sa@whiz.se>
Subject: Re: Bug#427406: Removing /usr/share/pixmaps/hicolor/ solves the problem
Date: Thu, 30 Aug 2007 23:08:13 +0200
On 8/30/07, Claudius Hubig <claudiushubig@arcor.de> wrote:
> Sven Arvidsson <sa@whiz.se> wrote:
> >On Thu, 2007-08-30 at 12:20 +0200, Claudius Hubig wrote:
> >> following your hints, I just completely removed
> >> /usr/share/pixmaps/hicolor/ - the window that the
> >> application doesn't responds appears now in a
> >> correct way and I'm able to just click "abort"
> >> or "kill".
> >
> >You didn't happen to save those files? If you didn't, do you know what
> >icons were in there?
>
> Not really - I checked wether or not any installed .deb had files in
> there (which was not the case) and had a look
> in /usr/share/pixmaps/hicolor/ what contained the following:
>
> 16x16/
> 48x48/
> icon-theme.cache
> 32x32/
> autopackage-installer.png
> scalable/
>
> I'm sorry I didn't saved the files in there, but since they didn't
> belong to any installed package and I don't have non-debian-packages
> installed on my system anymore, I thought they were just crap still
> existing due to experiments in former days/whatever.

I had the same problem. File are quite old (2006) for me. I imagine it
was a previous installation of the hicolor-icon-theme package.
Probably a erroneous upgrade procedure after a directory switch.

My 2 cents
-- 
Guilhem BONNEFILLE
-=- #UIN: 15146515 JID: guyou@im.apinc.org MSN: guilhem_bonnefille@hotmail.com
-=- mailto:guilhem.bonnefille@gmail.com
-=- http://nathguil.free.fr/



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #140 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
Cc: Claudius Hubig <claudiushubig@arcor.de>, 427406@bugs.debian.org
Subject: Re: Bug#427406: Removing /usr/share/pixmaps/hicolor/ solves the problem
Date: Sat, 01 Sep 2007 00:48:22 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2007-08-30 at 23:08 +0200, Guilhem Bonnefille wrote:
> On 8/30/07, Claudius Hubig <claudiushubig@arcor.de> wrote:
> > Sven Arvidsson <sa@whiz.se> wrote:
> > >You didn't happen to save those files? If you didn't, do you know what
> > >icons were in there?
> >
> > Not really - I checked wether or not any installed .deb had files in
> > there (which was not the case) and had a look
> > in /usr/share/pixmaps/hicolor/ what contained the following:
> >
> > 16x16/
> > 48x48/
> > icon-theme.cache
> > 32x32/
> > autopackage-installer.png
> > scalable/
> >
> > I'm sorry I didn't saved the files in there, but since they didn't
> > belong to any installed package and I don't have non-debian-packages
> > installed on my system anymore, I thought they were just crap still
> > existing due to experiments in former days/whatever.
> 
> I had the same problem. File are quite old (2006) for me. I imagine it
> was a previous installation of the hicolor-icon-theme package.
> Probably a erroneous upgrade procedure after a directory switch.

I was mostly interested in easily reproducing the bug. I will give it a
shot later (trying to create an invalid cache file
in /usr/share/pixmaps/hicolor) and see what happens. Either way I will
probably forward this bug to the upstream developers.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #145 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Josselin Mouette <joss@debian.org>
Cc: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>, Claudius Hubig <claudiushubig@arcor.de>, 427406@bugs.debian.org
Subject: Re: Bug#427406: No more mouse/keyboard-input possible after closing crashed application
Date: Sat, 01 Sep 2007 17:07:26 +0200
[Message part 1 (text/plain, inline)]
Original bug report:
> whenever a crashed application is closed by hitting the "x" button in the titlebar,
> Metacity used to showing a window "The application doesn't answer [Close] [Wait]" or
> something like this. Now, it causes the system to become unusable by grabbing every
> keyboard-input or mouse-clicks. That means:
> * The system is still running: xmms continues playing, the hardware-monitor
>    refreshes normally.
> * I can move the mouse
> * No mouse clicks or keystrokes are recognized: Neither Alt+Strg+Backspace nor
>    Alt+Strg+F1

Hi,

I can reproduce this now. It seems to be the result of a broken icon
file (attached), installed by autopackage [0]. 

Reproducing it is only a matter of;

      * Dropping the file in /usr/share/icons/hicolor
      * Generate the icon cache using GTK+ 2.10 (2.11 refuses to create
        the cache, complaining about a bad image index)
      * Restart metacity and invoke metacity-dialog.

As the faulty image have been fixed in autopackage, and
gtk-update-icon-cache doesn't create bad cache files anymore, do we
consider this fixed now, or should I forward this upstream?

0. http://trac.autopackage.org/ticket/31

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[autopackage-installer.png (image/png, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #150 received at 427406@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: 427406@bugs.debian.org
Subject: Re: Bug#427406: No more mouse/keyboard-input possible after closing crashed application
Date: Mon, 03 Sep 2007 19:36:12 -0300
   I suggest two things:
      1 - forwarding the bug upstream: because maybe they want to look 
into this to make the application or library more robust.
      2 - see what makes GTK+ 2.11 refuse to create the icon cache and 
backport it to GTK+ 2.10, then close this bug: so Metacity transitions 
to testing without this problem.

   Otherwise, if those things are much work, then just wait till GTK+ 
2.12 gets done and uploaded to testing and then close this bug.

   Its just an opinion...
   Thanks for all your great work guys!!!

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
ICQ 10215364 - Phone/FAX (598) (2) 613 3223.
Caldas 1781, Malvin, Montevideo, Uruguay, South America.
We believe that we are free, but in reality we are not! Are we?
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Cabizza <marco87@gmail.com>:
Bug#427406; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Marco Cabizza <marco87@gmail.com>. Full text and rfc822 format available.

Message #155 received at 427406@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Ivan Baldo <ibaldo@adinet.com.uy>, 427406@bugs.debian.org
Cc: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>, Claudius Hubig <claudiushubig@arcor.de>
Subject: Re: Bug#427406: No more mouse/keyboard-input possible after closing crashed application
Date: Wed, 12 Sep 2007 19:30:39 +0200
[Message part 1 (text/plain, inline)]
forwarded 427406 http://bugzilla.gnome.org/show_bug.cgi?id=476279
severity important
thanks

On Mon, 2007-09-03 at 19:36 -0300, Ivan Baldo wrote:
> I suggest two things:
>        1 - forwarding the bug upstream: because maybe they want to look 
> into this to make the application or library more robust.
>        2 - see what makes GTK+ 2.11 refuse to create the icon cache and 
> backport it to GTK+ 2.10, then close this bug: so Metacity transitions 
> to testing without this problem.
> 
>     Otherwise, if those things are much work, then just wait till GTK+ 
> 2.12 gets done and uploaded to testing and then close this bug.
> 
>     Its just an opinion...
>     Thanks for all your great work guys!!!

I have forwarded this to the upstream developers. I'm also lowering the
severity of the bug as it only happens if the icon cache is created and
it isn't by default.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=476279. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Wed, 12 Sep 2007 17:33:06 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Wed, 12 Sep 2007 20:45:03 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 08 Mar 2008 15:18:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:04:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.